com.corticon.eclipse.core

## Interface IMessageBoxDelegate

-     public interface IMessageBoxDelegate

  Interface IMessageBoxDelegate represents an abstract GUI message box. GUI platforms can register their own implementation with the model API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABORT`
    `static int` | `CANCEL`
    `static int` | `ICON_ERROR`
    `static int` | `ICON_INFORMATION`
    `static int` | `ICON_QUESTION`
    `static int` | `ICON_WARNING`
    `static int` | `ICON_WORKING`
    `static int` | `IGNORE`
    `static int` | `NO`
    `static int` | `OK`
    `static int` | `RETRY`
    `static int` | `YES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `displayMessageBox(java.lang.String astrTitle, java.lang.String astrMessage, int aiStyleBits)` Display a message box to the user bearing the title, message and style characteristics specified.

- - ### Field Detail

    - #### ICON_ERROR

          static final int ICON_ERROR

      See Also:
        Constant Field Values

    - #### ICON_INFORMATION

          static final int ICON_INFORMATION

      See Also:
        Constant Field Values

    - #### ICON_QUESTION

          static final int ICON_QUESTION

      See Also:
        Constant Field Values

    - #### ICON_WARNING

          static final int ICON_WARNING

      See Also:
        Constant Field Values

    - #### ICON_WORKING

          static final int ICON_WORKING

      See Also:
        Constant Field Values

    - #### OK

          static final int OK

      See Also:
        Constant Field Values

    - #### YES

          static final int YES

      See Also:
        Constant Field Values

    - #### NO

          static final int NO

      See Also:
        Constant Field Values

    - #### CANCEL

          static final int CANCEL

      See Also:
        Constant Field Values

    - #### ABORT

          static final int ABORT

      See Also:
        Constant Field Values

    - #### RETRY

          static final int RETRY

      See Also:
        Constant Field Values

    - #### IGNORE

          static final int IGNORE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### displayMessageBox

          int displayMessageBox(java.lang.String astrTitle,
                              java.lang.String astrMessage,
                              int aiStyleBits)

      Display a message box to the user bearing the title, message and style characteristics specified. The style flags can be combined using the bitwise "or" operator to combine effects using the constants specified in this interface. Example:
      IMessageBoxDelegate.ICON_QUESTION | IMessageBoxDelegate.YES | IMessageBoxDelegate.NO
      Parameters:
        `astrTitle` - Title (typically appears at the top of the dialog window).
        `astrMessage` - Message to display in the body of the message box.
        `aiStyleBits` - Style specification.
      Returns:
        Integer number indicating which button was pressed.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.